Defines a condition for use with WebDriver's WebDriver#wait wait command.

### Type parameters

- #### T

### Hierarchy

- Condition
  - WebElementCondition

## Index

### Constructors

- constructor

### Methods

- description
- fn

## Constructors

### constructor

- new Condition<T>(message: string, fn: ConditionFn<T>): Condition<T>

- #### Type parameters

  - #### T

  #### Parameters

  - ##### message: string

    A descriptive error message. Should complete the sentence 'Waiting [...]'

  - ##### fn: ConditionFn<T>

    The condition function to evaluate on each iteration of the wait loop.

  #### Returns Condition<T>

## Methods

### description

- description(): string

- #### Returns string

  A description of this condition.

### fn

- fn(webdriver: WebDriver): ConditionFn<T>

- #### Parameters

  - ##### webdriver: WebDriver

  #### Returns ConditionFn<T>

Generated using TypeDoc